Skip to navigation

Get Credit Cards

This API endpoint retrieves all details relating to a user’s stored credit cards. Information provided includes the credit card ID, token, last 4 digit numbers, holder name, expiry date, and card type.

Request Body

The request does not require a body.

Response

The response is an array of objects where each object represents a credit card. Each card includes the following information:

  • credit_card_id (string): The unique ID of the credit card.

  • parent_user_id (null): No data provided in this field.

  • external_id (string): The card’s id on the external platform.

  • order_id (null): No data is provided in this field.

  • credit_card_token (string): An empty string, no data provided.

  • bsb (null): No data provided in this field.

  • account_number (null): No data provided in this field.

  • last_4_digits (string): The last four digits of the credit card.

  • holder_name (string): The name of the credit card holder.

  • expiry_date (null): No data is provided in this field.

  • label (string): An empty string, no label provided.

  • type (string): The type of credit card (Visa, MasterCard, etc.).

  • user_type (string): The type of user.

  • is_default (integer): A flag to indicate whether the card is the default card, 0 not default, 1 is default.

  • created_at (string): The timestamp when this record was created.

  • updated_at (string): The timestamp when this record was last updated.

  • ppan (string): An empty string, no data provided.

  • contact_info (null): No data provided in this field.

  • payment_gateway (object): Contains information about the payment gateway including payment_gateway_id, name, and status.

Query parameters

api_tokenstringOptional

Request

This endpoint expects an object.
apistringOptional
dataobjectOptional

Response

Get Credit Cards
messagestringOptional
apistringOptional
statusstringOptional
datalist of objectsOptional